Get technical analysis
curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/technical-analysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_ids": [
1,
2
]
}
'const url = 'https://api.kanarie.xyz/api/v1/projects/technical-analysis';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_ids: [1, 2]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/projects/technical-analysis"
payload = { "project_ids": [1, 2] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"results": [
{
"project_id": 1,
"name": "Jupiter",
"symbol": "JUP",
"timeseries": {}
}
],
"errors": {}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Projects
Get technical analysis
Fetch technical analysis timeseries for project/timeframe pairs. Supports API key auth or x402 fallback.
POST
https://api.kanarie.xyz
/
api
/
v1
/
projects
/
technical-analysis
Get technical analysis
curl --request POST \
--url https://api.kanarie.xyz/api/v1/projects/technical-analysis \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"project_ids": [
1,
2
]
}
'const url = 'https://api.kanarie.xyz/api/v1/projects/technical-analysis';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({project_ids: [1, 2]})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));import requests
url = "https://api.kanarie.xyz/api/v1/projects/technical-analysis"
payload = { "project_ids": [1, 2] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"results": [
{
"project_id": 1,
"name": "Jupiter",
"symbol": "JUP",
"timeseries": {}
}
],
"errors": {}
}{
"error": "Validation failed",
"details": [
"limit must be a number between 1 and 100"
]
}{
"error": "Missing API key. Expected Authorization: Bearer <api-key> or x-kanarie-api-key: <api-key>."
}{
"x402Version": 2,
"error": "Payment required",
"accepts": [
{}
]
}{
"error": "Invalid API key"
}{
"error": "Rate limit exceeded",
"limit": 123,
"plan": "casual",
"window": "15 minutes",
"retryAfter": 900
}{
"error": "Internal server error"
}Authorizations
bearerAuthkanarieApiKey
Preferred Kanarie API key authentication using Authorization: Bearer .
Body
application/json
Was this page helpful?